function [] = process_exponential_1D_plot()
exp_files = dir('/home/andrew/Research/MinnesotaStuff/SolidsResearch/CompressedStrip_Project/asymptoticCalculation/output/exponential_mu/exponentialInputFiles/asymptotic*');

fclose('all')
data_mat = [];
for i = 1:length(exp_files)
%     nextData = importdata([exp_files(i).folder,'/', exp_files(i).name])
    next_data = cell2mat(textscan(fopen([exp_files(i).folder,'/', exp_files(i).name]),'%f\n%f\n%f\n%f'));
    data_mat = [data_mat, next_data'];
    fclose('all');
end

% angle = atan2d(data_mat(3, :), data_mat(2, :));
% figure(2);
% plot(data_mat(1, :), angle, '.');
% grid on;
% figure(2)
% yyaxis left
% plot(data_mat(1, :), data_mat(2, :), '.');
% ylim([-400 400])
% ylabel('\lambda_2', 'rot', 1, 'Fontsize', 18)

moduli = data_mat(1, :);
L1 = data_mat(2, :);

figure(1)

yyaxis left
plot(data_mat(1, :), data_mat(3, :), '.');
ylim([-400 400])
yticks(-400:200:400)
yyaxis right; 
plot(data_mat(1, :), data_mat(4, :), '.');
xlim([2, 3.2])
ylim([-1600, 1600])
yticks(-1600:800:1600)

ax = gca;
ax.FontSize = 14; 

yyaxis left
ylabel('$\lambda_2$', 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right',  'Fontsize', 18)
yyaxis right
ylabel('$\Lambda_2$',  'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'left',  'Fontsize', 18)

ylimr = get(gca,'Ylim');ratio = ylimr(1)/ylimr(2);
yyaxis left; yliml = get(gca,'Ylim');
if yliml(2)*ratio<yliml(1)
    set(gca,'Ylim',[yliml(2)*ratio yliml(2)])
else
    set(gca,'Ylim',[yliml(1) yliml(1)/ratio])
end

xlabel('${\mu_f}/{\mu_s}$', 'Interpreter', 'latex', 'Fontsize', 24)

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
fileName = ['1D_asymptotic_plot', '.pdf'];

set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
grid off;
export_fig(fileName, '-pdf')
% grid on;


end