function [] = plot_crit_wavelengths_and_load(indx)


% load('criticalInfor_over_param_space_00.mat')
% BigX = X;
% BigY = Y;
% BigWave = Wavelength_c;
% BigLambda = Lambda_c;
load('criticalInfor_over_param_space_range_96.mat')

% FilmThickness = 1 - [X; BigX(3:end, :)];
% StiffnessRatios = [Y; BigY(3:end, :)];
% Lambda_c = [Lambda_c; BigLambda(3:end, :)];
% Wavelength_c = [Wavelength_c; BigWave(3:end, :)];

FilmThickness = 1 - X;
StiffnessRatios = Y;

anal_lambda_c = 0.25*(3.0*(StiffnessRatios).^(-1)).^(2/3);
anal_h = 2.0*pi*FilmThickness.*(3.0*(StiffnessRatios).^(-1)).^(-1/3);

figure(1);
set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');

S1 = surf(StiffnessRatios, FilmThickness, Lambda_c)
colormap jet


% S1.EdgeColor = 'none';
ax = gca;
ax.YAxis.FontSize = 12;
ax.XAxis.FontSize = 12;
ax.ZAxis.FontSize = 12;


ylabel('$t/L$',...
    'interpreter','latex','fontsize',18)
xlabel('$\mu_f/\mu_s$        ',...
    'Interpreter','latex','FontSize',18)
zlabel('$\lambda_c$        ',...
    'Interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
view(-25, 35);
fileName_lambda = ['lambda_c_over_param_space_' int2str(indx), '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
xlim([1, 60]);
xticks([1 10 20 30 40 50 60]);
zticks(0:0.1:0.5);
% S1.EdgeColor = 'interp';
% S1.EdgeAlpha = 0.3;
% S1.FaceAlpha = 0.5;
XL = get(gca, 'XLim');
YL = get(gca, 'YLim');
ZL = get(gca, 'ZLim');
set(S1, 'visible', 'off');
axis([XL, YL, ZL]);
export_fig(fileName_lambda, '-pdf', '-transparent')
set(S1, 'Visible', 'on')
S1.EdgeAlpha = 0.5;
S1.FaceAlpha = 0.5;
fig2svg([fileName_lambda(1:end-3), 'svg'], figure(1), 'png')

figure(2);
set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');

S2 = surf(StiffnessRatios, FilmThickness, Wavelength_c)
colormap jet
% S2.EdgeColor = 'none';

ax = gca;
ax.YAxis.FontSize = 12;
ax.XAxis.FontSize = 12;
ax.ZAxis.FontSize = 12;

ylabel('$t/L$',...
    'interpreter','latex','fontsize',18) %, 'HorizontalAlignment', 'center')
xlabel('$\mu_f/\mu_s$        ',...
    'Interpreter','latex','FontSize',18)%, 'HorizontalAlignment', 'center')
zlabel('$\frac{h_c}{L}$        ',...
    'Interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')

view(-25, 35);


fileName_wave = ['wavelength_c_over_param_space_' int2str(indx), '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
xlim([1, 60]);
xticks([1 10 20 30 40 50 60]);
XL = get(gca, 'XLim');
YL = get(gca, 'YLim');
ZL = get(gca, 'ZLim');
set(S2, 'visible', 'off');
axis([XL, YL, ZL]);
export_fig(fileName_wave, '-pdf', '-transparent')
set(S2, 'Visible', 'on');
S2.EdgeAlpha = 0.5;
S2.FaceAlpha = 0.5;
fig2svg([fileName_wave(1:end-3), 'svg'], figure(2), 'png')




%% analytical classic results

figure(8);
hold on
set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');

S3 = surf(StiffnessRatios, FilmThickness, anal_lambda_c)


S3.EdgeColor = 'none';
ax = gca;
ax.YAxis.FontSize = 12;
ax.XAxis.FontSize = 12;
ax.ZAxis.FontSize = 12;


ylabel('$t/L$',...
    'interpreter','latex','fontsize',18)
xlabel('$\mu_f/\mu_s$        ',...
    'Interpreter','latex','FontSize',18)
zlabel('$\lambda_c$        ',...
    'Interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
view(-25, 35);
fileName_lambda = ['classic_lambda_c_over_param_space_' int2str(indx), '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
xlim([1, 60]);
xticks([1 10 20 30 40 50 60]);
zticks(0:0.1:0.5);
% S1.EdgeColor = 'interp';
% S1.EdgeAlpha = 0.3;
% S1.FaceAlpha = 0.5;
XL = get(gca, 'XLim');
YL = get(gca, 'YLim');
ZL = get(gca, 'ZLim');



set(S3, 'Visible', 'on')
S3.EdgeAlpha = 0.2;
S3.FaceAlpha = 0.2;
fig2svg([fileName_lambda(1:end-3), 'svg'], figure(8), 'png')

figure(10);
hold on
set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');

S4 = surf(StiffnessRatios, FilmThickness, anal_h)


S4.EdgeColor = 'none';
ax = gca;
ax.YAxis.FontSize = 12;
ax.XAxis.FontSize = 12;
ax.ZAxis.FontSize = 12;


ylabel('$t/L$',...
    'interpreter','latex','fontsize',18) %, 'HorizontalAlignment', 'center')
xlabel('$\mu_f/\mu_s$        ',...
    'Interpreter','latex','FontSize',18)%, 'HorizontalAlignment', 'center')
zlabel('$\frac{h_c}{L}$        ',...
    'Interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')

view(-25, 35);


fileName_wave = ['classical_wavelength_c_over_param_space_' int2str(indx), '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
xlim([1, 60]);
xticks([1 10 20 30 40 50 60]);
zlim([0, 5]);
zticks([1 2 3 4 5]);
XL = get(gca, 'XLim');
YL = get(gca, 'YLim');
ZL = get(gca, 'ZLim');
set(S2, 'visible', 'off');
axis([XL, YL, ZL]);



set(S4, 'Visible', 'on')
S4.EdgeAlpha = 0.2;
S4.FaceAlpha = 0.2;
fig2svg([fileName_wave(1:end-3), 'svg'], figure(10), 'png')

end