clear
clc
close all

nu = 0.33;
L1 = 0.9;

kappas = [1.0 1.5 2.5 3.5];
fhandle = figure(1);
for i = 1:length(kappas)
    plot_lambda_vs_wave(fhandle, nu, L1, kappas(i), 0.05)
end

axis([0 10 0.1 0.8])

set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');

ylabel('$\frac{2 \pi}{\omega L}$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\lambda$',...
    'Interpreter','latex','FontSize',18)

lgnd = legend('$\mu_f/\mu_s = 1$', '$\mu_f/\mu_s = 1.5$', '$\mu_f/\mu_s = 2.5$', '$\mu_f/\mu_s = 5$', 'Location', 'Southeast')
set(lgnd,'color','none');
fileName = ['lambda_vs_wave', '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
export_fig(fileName, '-pdf', '-transparent')
