function [] = read_shiri_vtk(filename, namePre)

fid = fopen(filename, 'r');

nextLine = get_next_data_line(fid);
while( strncmp(nextLine, 'POINTS', 6) == 0)
    nextLine = get_next_data_line(fid);
end

nPoints = sscanf(nextLine(8:end), '%f');

pointPos = zeros(nPoints, 3);

for i = 1:nPoints
    nextLine = get_next_data_line(fid);
    nextData = sscanf(nextLine, '%f');
    pointPos(i, 1) = nextData(1);
    pointPos(i, 2) = nextData(2);
end

nextLine = get_next_data_line(fid);
while( strncmp(nextLine, 'CELLS', 5) == 0)
    nextLine = get_next_data_line(fid);
end

nCells = sscanf(nextLine(7:end), '%f');
nCells = nCells(1);

cellConnectivity = zeros(nCells, 4);
for i = 1:nCells
    nextLine = get_next_data_line(fid);
    nextData = sscanf(nextLine, '%f');
    cellConnectivity(i, 1) = nextData(2) + 1;
    cellConnectivity(i, 2) = nextData(3) + 1;
    cellConnectivity(i, 3) = nextData(4) + 1;
    cellConnectivity(i, 4) = nextData(5) + 1;
end

nextLine = get_next_data_line(fid);
while( strncmp(nextLine, 'SCALARS E12 double', 18) == 0)
    nextLine = get_next_data_line(fid);
end
nextLine = get_next_data_line(fid);
nextLine = get_next_data_line(fid);
fclose(fid);

E12_data_raw = sscanf(nextLine, '%f');
E12_data = E12_data_raw(1:4:length(E12_data_raw));

X = zeros(nCells, 4);
Y = zeros(nCells, 4);
Z = zeros(nCells, 4);

for i = 1:size(cellConnectivity, 1)
    for j = 1:size(cellConnectivity, 2)
        X(i, j) = pointPos(cellConnectivity(i, j), 1);
        Y(i, j) = pointPos(cellConnectivity(i, j), 2);
    end
end

% fuck more shit up
f = figure(1);
hold on;
S = cell(1, size(X, 1));
fprintf('Plotting %f elements.\n', length(S));
for i = 1:size(X, 1)
    nextMatX = [X(i, 1), X(i, 2); X(i, 4), X(i, 3)];
    nextMatY = [Y(i, 1), Y(i, 2); Y(i, 4), Y(i, 3)];
    nextMatZ = [Z(i, 1), Z(i, 2); Z(i, 4), Z(i, 3)];
    S{i} = surf(nextMatX, nextMatY, nextMatZ, E12_data(i)*ones(2, 2), 'EdgeColor','none');
%     S{i}.FaceColor = 'interp';
    if(mod(i, 500) == 0)
        fprintf('Number %f\n', i);
    end
end
grid off;

caxis([0 0.2]);
colormap jet;
axis equal;
axis([-2 2 -0.1 1.9])
view(0, 90);

% gotta name that output file
fileName = ['figs/shiri_FEM_figures_', namePre , num2str(00), '.pdf'];

% get rid of all the background colors and stuff (so the background is
% transparent)
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');

% I don't really remember why I am doing this. If I were to guess, I am
% getting the axis limits, getting rid of the axis, but resetting the
% limits somehow? not really sure lol. For some reason this was there tho.
XL = get(gca, 'XLim');
YL = get(gca, 'YLim');
ZL = get(gca, 'ZLim');

% for i = 1:size(X, 1)
%     set(S{i}, 'visible', 'off');
% end
axis([XL, YL, ZL]);

% for i = 1:size(X, 1)
%     set(S{i}, 'visible', 'on');
%     S{i}.EdgeAlpha = 0.0;
% %     S{i}.FaceAlpha = 1.0;
% end

% This is where I do the exportfig call. This is the one that will have the
% axis and the ticks and stuff, but not the surface.
export_fig(fileName, '-pdf', '-transparent')

% Now here is where we export the svg that will have the transparency
% plot, but not the axis. S1.EdgeAlpha and S1.FaceAlpha will change how
% transparent it is. Right now it is set to 50%.
% for i = 1:size(X, 1)
%     set(S{i}, 'visible', 'on');
%     S{i}.EdgeAlpha = 1.0;
% %     S{i}.FaceAlpha = 1.0;
% end

set(gca,'ytick',[]);
set(gca,'xtick',[]);
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
set(gca,'visible','off')

fig2svg([fileName(1:end-3), 'svg'], figure(1), 'png')




end

function [nextLine] = get_next_data_line(fid)

nextLine = fgetl(fid);
while(length(nextLine) < 1 || nextLine(1) == '#' )
    nextLine = fgetl(fid);
end

end