function [lambda_2] = get_lambda_2(lambda_eval)

nu = 0.45;
mu0 = 1.0;
lambda_2 = zeros(size(lambda_eval));
for i = 1:length(lambda_eval)
    lambda1 = 1 - lambda_eval(i);

    % solve for lambda2, the stretch in the x2 direction (use the positive
    % solution).
    lambda2_sols = roots([(mu0 + lambda1^2*2*nu*mu0/(1 - nu)), -(2*mu0*nu/(1 - nu))*lambda1, -mu0]);
    lambda_2(i) = (lambda2_sols(find(double(lambda2_sols >= 0))));
end

end