function [fhandle] = plot_lambda_vs_wave(fhandle, nu, L1, kappa, starting_wavelength, color)


kappa_eval = kappa;
stepSize = 0.001;
wavelength_vector = starting_wavelength:stepSize:10;
solutionVector = zeros(size(wavelength_vector));

% get initial guess
xx = 0.002:0.01:0.89;
yy = zeros(size(xx));
for i = 1:length(xx)
    yy(i) = piece_const_mu_evaluate_determinant_M(nu, L1, kappa_eval, wavelength_vector(1), xx(i));
end

yy_sign = sign(yy);
crossingIndex = find(diff(sign(yy_sign), 1));
guess_x = xx(crossingIndex(1));

MAXCOUNT = 100;
initialGuess = guess_x;

ds = stepSize;
for i = 1:length(wavelength_vector)
%     funHandle = @(x) piece_const_mu_evaluate_determinant_M(nu, L1, kappa_eval, wavelength_vector(i), x);
% 
%     solutionVector(i) = fzero(funHandle, [initialGuess - 0.1, initialGuess + 0.1]);
%     
%     initialGuess = solutionVector(i);
%     if(solutionVector(i) > 0.8)
%         break;
%     end

    funHandle = @(x) piece_const_mu_evaluate_determinant_M(nu, L1, kappa_eval, wavelength_vector(i), x);
    guess_low = initialGuess - ds;
    guess_high = initialGuess + ds;

    
    count = 0;
    while((sign(funHandle(guess_low)) == sign(funHandle(guess_high))) && count < MAXCOUNT)
        guess_low = guess_low - ds;
        guess_high = guess_high + ds;
        count = count + 1;
    end
        
    
    if(count < MAXCOUNT)
      solutionVector(i) = fzero(funHandle, [guess_low, guess_high]);
    else
       fprintf('%f NEXT\n', i);
      solutionVector(i) = initialGuess;
    end
    
    if ( i >1)
        initialGuess = 2*solutionVector(i) - solutionVector(i-1);
    else
        initialGuess = solutionVector(i);
    end
    
    if(solutionVector(i) > 0.9)
        break;
    end
    
end
solutionVector = solutionVector(1:i);
wavelength_vector = wavelength_vector(1:i);
figure(fhandle);
hold on;
plot(wavelength_vector, solutionVector, color, 'LineWidth', 1.5)

end