function [] = plot_first_bifurcation_diagrams(folder_prefix, maxLen)

folderName = ['/home/andrew/Research/MinnesotaStuff/SolidsResearch/CompressedStrip_Project/output/', folder_prefix,'_1'];


load_mat1 = import_load_info([folderName,'/load_info/load_info1.txt']);
load_mat4 = import_load_info([folderName,'/load_info/load_info4.txt']);


figure(1);
hold on

plot(load_mat1(1:maxLen, 1), load_mat1(1:maxLen, 3) , 'r', 'LineWidth', 1.3);  
bifLoad = load_mat1(1,1);
unstable_inds = find(load_mat4(:,1) > bifLoad);

unstableColor = [0.7 0.7 0.7]/255;
plot(load_mat4(1:(unstable_inds(1)-1), 1), load_mat4(1:(unstable_inds(1)-1), 3) , 'k', 'LineWidth', 1.3);  
plot(load_mat4(unstable_inds-1, 1), load_mat4(unstable_inds-1, 3) , '-','Color', [0.5 0.5 0.5], 'LineWidth', 1.3);  


% axis([0.274 0.285 0.92 0.95])

ax = gca;
ax.FontSize = 14;
set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');

ylabel('$\Lambda$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\lambda$',...
    'Interpreter','latex','FontSize',18)

fileName = [folder_prefix, '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
export_fig(fileName, '-pdf', '-transparent')

end