function [] = plot_the_xi_vs_conguateLambda(conguatelambda2, kappa)

info = importdata('load_info1.txt');
figure();
grid on
hold on
plot(info.data(:, 4), info.data(:, 3) - info.data(1,3), 'xr')

xivals = linspace(0, info.data(end, 4)*1, 100);
plot(xivals, xivals.*xivals*conguatelambda2/2, 'k', 'Linewidth', 1.3);
xlabel('\xi', 'Fontsize', 16)
ylabel('\Delta\Lambda      ', 'rot', 1, 'Fontsize', 16)

if (conguatelambda2 < 0)
    locat = 'SouthEast';
else
    locat = 'NorthEast';
end

title(['$\kappa$ = ',  num2str(kappa)],'Interpreter', 'Latex', 'Fontsize', 18);
lgn = legend('Numerical from FEM', 'Using \Lambda_2', 'Location', locat);
lgn.FontSize = 14;
end