function [] = plot_the_xi_vs_lambda(lambda2, kappa)

info = importdata('load_info1.txt');
figure();
% grid on
hold on
plot(info.data(10:end, 4), info.data(10:end, 1) - info.data(1,1), 'rx')

xivals = linspace(0, info.data(end, 4)*1, 100);
plot(xivals, xivals.*xivals*lambda2/2, 'k', 'Linewidth', 1.3);
xlabel('$\xi$', 'Fontsize', 16)
ylabel('$\Delta\lambda$      ', 'rot', 1, 'Fontsize', 16)

if (lambda2 < 0)
    locat = 'SouthEast';
else
    locat = 'NorthEast';
end

% title(['$\kappa$ = ',  num2str(kappa)], 'Interpreter', 'Latex', 'Fontsize', 18);
lgn = legend('Numerical from FEM', 'Using $\lambda_2$', 'Location', locat);
lgn.FontSize = 14;
end