function [] = asymptotic_verification_plots()


%% do first one
percentError = zeros(6, 1);
info1 = importdata('/home/andrew/Research/MinnesotaStuff/SolidsResearch/CompressedStrip_Project/output/asymptotic_verification_2_1/load_info/load_info1.txt');
asympt_params_1 = importdata('/home/andrew/Research/MinnesotaStuff/SolidsResearch/CompressedStrip_Project/output/asymptotic_verification_2_1/load_info/asymptotic_piecewiseConstant_2.out');
lambda_2_15 = asympt_params_1(3);
big_lambda_2_15 = asympt_params_1(4);
excee = abs(info1.data(5:end, 4));
delta_lambda = info1.data(5:end, 1) - info1.data(1,1);
delta_big_lambda = info1.data(5:end, 3) - info1.data(1,3);

xivals = linspace(0, excee(end), 100);

figure(1)
plot(xivals, xivals.*xivals*lambda_2_15/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_lambda(1:4:end), 'rx', 'Markersize', 5);

fitVals = polyfit(excee(1:1:100), delta_lambda(1:1:100), 2);
percentError(1) = (fitVals(1) - lambda_2_15/2)/(lambda_2_15/2);

ax = gca;
ax.FontSize = 14; 
set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');


ylabel('$\Delta \lambda$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\xi$        ',...
    'Interpreter','latex','FontSize',18)

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
fileName = ['asymptotic_verification_lambda_2', '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
export_fig(fileName, '-pdf', '-transparent')

figure(2)
plot(xivals, xivals.*xivals*big_lambda_2_15/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_big_lambda(1:4:end), 'rx', 'Markersize', 5);
fitVals = polyfit(excee(1:1:100), delta_big_lambda(1:1:100), 2);
percentError(2) = (fitVals(1) - big_lambda_2_15/2)/(big_lambda_2_15/2);
ax = gca;
ax.FontSize = 14; 
set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');


ylabel('$\Delta \Lambda$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\xi$        ',...
    'Interpreter','latex','FontSize',18)

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
fileName = ['asymptotic_verification_congugate_lambda_2', '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
export_fig(fileName, '-pdf', '-transparent')


figure(10)
plot(xivals, xivals.*xivals*lambda_2_15/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_lambda(1:4:end), 'rx', 'Markersize', 5);

figure(11)
plot(xivals, xivals.*xivals*big_lambda_2_15/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_big_lambda(1:4:end), 'rx', 'Markersize', 5);


%% do second one

info2 = importdata('/home/andrew/Research/MinnesotaStuff/SolidsResearch/CompressedStrip_Project/output/asymptotic_verification_26_1/load_info/load_info1.txt');
asympt_params_2 = importdata('/home/andrew/Research/MinnesotaStuff/SolidsResearch/CompressedStrip_Project/output/asymptotic_verification_26_1/load_info/asymptotic_piecewiseConstant_26.out');
lambda_2_25 = asympt_params_2(3);
big_lambda_2_25 = asympt_params_2(4);
excee = abs(info2.data(5:end, 4));
delta_lambda = info2.data(5:end, 1) - info2.data(1,1);
delta_big_lambda = info2.data(5:end, 3) - info2.data(1,3);

xivals = linspace(0, excee(end), 100);

figure(3)
plot(xivals, xivals.*xivals*lambda_2_25/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_lambda(1:4:end), 'rx', 'Markersize', 5);
fitVals = polyfit(excee(1:1:100), delta_lambda(1:1:100), 2);
percentError(3) = (fitVals(1) - lambda_2_25/2)/(lambda_2_25/2);
ax = gca;
ax.FontSize = 14; 

set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');


ylabel('$\Delta \lambda$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\xi$        ',...
    'Interpreter','latex','FontSize',18)

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
fileName = ['asymptotic_verification_lambda_26', '.pdf'];

export_fig(fileName, '-pdf', '-transparent')

figure(4)
plot(xivals, xivals.*xivals*big_lambda_2_25/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_big_lambda(1:4:end), 'rx', 'Markersize', 5);
fitVals = polyfit(excee(1:1:100), delta_big_lambda(1:1:100), 2);
percentError(4) = (fitVals(1) - big_lambda_2_25/2)/(big_lambda_2_25/2);
ax = gca;
ax.FontSize = 14; 

set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');


ylabel('$\Delta \Lambda$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\xi$        ',...
    'Interpreter','latex','FontSize',18)

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
fileName = ['asymptotic_verification_congugate_lambda_26', '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
export_fig(fileName, '-pdf', '-transparent')


figure(10)
plot(xivals, xivals.*xivals*lambda_2_25/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_lambda(1:4:end), 'rx', 'Markersize', 5);

figure(11)
plot(xivals, xivals.*xivals*big_lambda_2_25/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_big_lambda(1:4:end), 'rx', 'Markersize', 5);

%% do third one

info3 = importdata('/home/andrew/Research/MinnesotaStuff/SolidsResearch/CompressedStrip_Project/output/asymptotic_verification_32_1/load_info/load_info1.txt');
asympt_params_3 = importdata('/home/andrew/Research/MinnesotaStuff/SolidsResearch/CompressedStrip_Project/output/asymptotic_verification_32_1/load_info/asymptotic_piecewiseConstant_32.out');
lambda_2_5 = asympt_params_3(3);
big_lambda_2_5 = asympt_params_3(4);
excee = abs(info3.data(5:end, 4));
delta_lambda = info3.data(5:end, 1) - info3.data(1,1);
delta_big_lambda = info3.data(5:end, 3) - info3.data(1,3);

xivals = linspace(0, excee(end), 100);

figure(5)
plot(xivals, xivals.*xivals*lambda_2_5/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_lambda(1:4:end), 'rx', 'Markersize', 5);
fitVals = polyfit(excee(1:1:100), delta_lambda(1:1:100), 2);
percentError(5) = (fitVals(1) - lambda_2_5/2)/(lambda_2_5/2);
ax = gca;
ax.FontSize = 14; 

set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');


ylabel('$\Delta \lambda$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\xi$        ',...
    'Interpreter','latex','FontSize',18)

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
fileName = ['asymptotic_verification_lambda_32', '.pdf'];

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
export_fig(fileName, '-pdf', '-transparent')

figure(6)
plot(xivals, xivals.*xivals*big_lambda_2_5/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_big_lambda(1:4:end), 'rx', 'Markersize', 5);
fitVals = polyfit(excee(1:1:100), delta_big_lambda(1:1:100), 2);
percentError(6) = (fitVals(1) - big_lambda_2_5/2)/(big_lambda_2_5/2);
ax = gca;
ax.FontSize = 14; 

set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');


ylabel('$\Delta \Lambda$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\xi$        ',...
    'Interpreter','latex','FontSize',18)

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
fileName = ['asymptotic_verification_congugate_lambda_32', '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
export_fig(fileName, '-pdf', '-transparent')
 
%%
figure(10)
plot(xivals, xivals.*xivals*lambda_2_5/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_lambda(1:4:end), 'rx', 'Markersize', 5);

axis([0 2.5e-3 -5e-4 2.5e-4])

ax = gca;
ax.FontSize = 14; 
ylabel('$\Delta \lambda$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\xi$        ',...
    'Interpreter','latex','FontSize',18)

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
fileName = ['asymptotic_verification_lambda_all', '.pdf'];

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');

set(gcf,'Position',[100 100 650 500])
export_fig(fileName, '-pdf', '-transparent')

%%
figure(11)
plot(xivals, xivals.*xivals*big_lambda_2_5/2, 'k', 'Linewidth', 1.3)
hold on;
plot(excee(1:4:end), delta_big_lambda(1:4:end), 'rx', 'Markersize', 5);

axis([0 2.5e-3 -2.5e-3 5e-4])


ax = gca;
ax.FontSize = 14; 

set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');


ylabel('$\Delta \Lambda$',...
    'interpreter','latex','FontSize',18, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$\xi$        ',...
    'Interpreter','latex','FontSize',18)

set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
fileName = ['asymptotic_verification_congugate_lambda_all', '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
set(gcf,'Position',[100 100 650 500])
export_fig(fileName, '-pdf', '-transparent')


percentError
end