clear
clc
close all

nu = 0.33;
L1 = 0.9;

kappas = [1.0 2 2.6 3.2];
fhandle = figure(1);
colors = {'k', 'b', 'r', 'g'};
for i = 1:length(kappas)
    plot_lambda_vs_wave(fhandle, nu, L1, kappas(i), 0.05, colors{i});
end

axis([0 10 0.2 0.8])
ax = gca;
ax.FontSize = 16;
set(0,'defaulttextinterpreter','latex');

set(groot,'defaultAxesTickLabelInterpreter','latex');

set(groot,'defaulttextinterpreter','latex');

set(groot,'defaultLegendInterpreter','latex');

ylabel('$\hat{\lambda}$',...
    'interpreter','latex','FontSize',20, 'rot', 1, 'VerticalAlignment','middle', 'HorizontalAlignment', 'right')
xlabel('$h/L$',...
    'Interpreter','latex','FontSize',20)

lgnd = legend('$\mu_f/\mu_s = 1$', '$\mu_f/\mu_s = 2$', '$\mu_f/\mu_s = 2.6$', '$\mu_f/\mu_s = 3.2$', 'Location', 'Southeast')
lgnd.FontSize = 16;
set(lgnd,'color','none');
fileName = ['lambda_vs_wave', '.pdf'];
set(gcf, 'Color', 'None');
set(gca, 'Color', 'None');
box on
export_fig(fileName, '-pdf', '-transparent')
